<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMilestonesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: milestones
         */
        Schema::create('milestones', function ($table) {
            $table->increments('id');
            $table->integer('project_id')->nullable();
            $table->text('name')->nullable();
            $table->enum('link_payment', ['Yes','No'])->nullable();
            $table->enum('signoff_recvd', ['Yes','No'])->nullable();
            $table->date('signoff_date')->nullable();
            $table->text('remarks')->nullable();
            $table->text('followup')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('milestones');
    }
}
