<?php

// API routes  for milestone
Route::prefix('{guard}/project')->group(function () {
    Route::get('milestone/form/{element}', 'MilestoneAPIController@form');
    Route::resource('milestone', 'MilestoneAPIController');
});

// Public routes for milestone
Route::get('projects/', 'MilestonePublicController@index');
Route::get('projects/{slug?}', 'MilestonePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for projects
            Route::prefix('{guard}/project')->group(function () {
                Route::get('milestone/form/{element}', 'MilestoneAPIController@form');
                Route::apiResource('milestone', 'MilestoneAPIController');
            });
            // Public routes for projects
            Route::get('project/Milestone', 'MilestonePublicController@getMilestone');
        }
    );
}

