<?php

// web routes  for milestone
Route::prefix('{guard}/project')->group(function () {
    Route::resource('milestone', 'MilestoneResourceController');
});

// Public routes for milestone
Route::get('projects/', 'MilestonePublicController@index');
Route::get('projects/{slug?}', 'MilestonePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'MilestoneResourceController');
            });
            // Public routes for pages
            Route::get('projects/', 'MilestonePublicController@index');
            Route::get('projects/{slug?}', 'MilestonePublicController@show');
        }
    );
}

