<?php

namespace Litepci\Project;

use User;

class Project
{
    /**
     * $milestone object.
     */
    protected $milestone;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Project\Interfaces\MilestoneRepositoryInterface $milestone)
    {
        $this->milestone = $milestone;
    }

    /**
     * Returns count of project.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.milestone.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->milestone->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\MilestoneUserCriteria());
        }

        $milestone = $this->milestone->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('project::' . $view, compact('milestone'))->render();
    }
}
