<?php

namespace Litepci\Project\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MilestoneTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Project\Models\Milestone $milestone)
    {
        return [
            'id'                => $milestone->getRouteKey(),
            'key'               => [
                'public'    => $milestone->getPublicKey(),
                'route'     => $milestone->getRouteKey(),
            ], 
            'project_id'        => $milestone->project_id,
            'name'              => $milestone->name,
            'link_payment'      => $milestone->link_payment,
            'signoff_recvd'     => $milestone->signoff_recvd,
            'signoff_date'      => $milestone->signoff_date,
            'remarks'           => $milestone->remarks,
            'followup'          => $milestone->followup,
            'user_id'           => $milestone->user_id,
            'user_type'         => $milestone->user_type,
            'deleted_at'        => $milestone->deleted_at,
            'url'               => [
                'public'    => trans_url('project/'.$milestone->getPublicKey()),
                'user'      => guard_url('project/milestone/'.$milestone->getRouteKey()),
            ], 
            'status'            => trans('app.'.$milestone->status),
            'created_at'        => format_date($milestone->created_at),
            'updated_at'        => format_date($milestone->updated_at),
        ];
    }
}